- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Signals | Public Member Functions

# QWSSoundClient Class Reference

Search for all occurrences

## Detailed Description

Definition at line 88 of file qsoundqss_qws.h.

`#include <qsoundqss_qws.h>`

Inheritance diagram for QWSSoundClient:
[legend]

List of all members.

## Public Types
enum | SoundFlags { Priority = 0x01, Streaming = 0x02 }
enum | DeviceErrors { ErrOpeningAudioDevice = 0x01, ErrOpeningFile = 0x02, ErrReadingFile = 0x04 }
## Signals
void | soundCompleted (int)
void | deviceReady (int id)
void | deviceError (int id, QWSSoundClient::DeviceErrors)
## Public Member Functions
| QWSSoundClient (QObject *parent=0)
| ~QWSSoundClient ()
void | reconnect ()
void | play (int id, const QString &filename)
void | play (int id, const QString &filename, int volume, int flags=0)
void | playRaw (int id, const QString &, int, int, int, int flags=0)
void | pause (int id)
void | stop (int id)
void | resume (int id)
void | setVolume (int id, int left, int right)
void | setMute (int id, bool m)
void | playPriorityOnly (bool)
void | setSilent (bool)

## Member Enumeration Documentation

enum SoundFlags

Search for all occurrences

Enumerator:

  Priority | Search for all occurrences
  Streaming | Search for all occurrences

Definition at line 92 of file qsoundqss_qws.h.

                        {
        Priority = 0x01,
        Streaming = 0x02  // currently ignored, but but could set up so both Raw and non raw can be done streaming or not.
        };

enum DeviceErrors

Search for all occurrences

Enumerator:

  ErrOpeningAudioDevice | Search for all occurrences
  ErrOpeningFile | Search for all occurrences
  ErrReadingFile | Search for all occurrences

Definition at line 96 of file qsoundqss_qws.h.

                          {
        ErrOpeningAudioDevice = 0x01,
        ErrOpeningFile = 0x02,
        ErrReadingFile = 0x04
        };

## Constructor & Destructor Documentation

QWSSoundClient | ( | QObject * | parent = `0` | ) | `[explicit]`

~QWSSoundClient | ( |  | ) |

## Member Function Documentation

void reconnect | ( |  | ) |

Search for all occurrences

void play | ( | int | id,
|  | const QString & | filename
| ) |  |

Search for all occurrences

void play | ( | int | id,
|  | const QString & | filename,
|  | int | volume,
|  | int | flags = `0`
| ) |  |

Search for all occurrences

void playRaw | ( | int | id,
|  | const QString & | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | flags = `0`
| ) |  |

Search for all occurrences

void pause | ( | int | id | ) |

Search for all occurrences

void stop | ( | int | id | ) |

Search for all occurrences

void resume | ( | int | id | ) |

Search for all occurrences

void setVolume | ( | int | id,
|  | int | left,
|  | int | right
| ) |  |

Search for all occurrences

void setMute | ( | int | id,
|  | bool | m
| ) |  |

Search for all occurrences

void playPriorityOnly | ( | bool |  | ) |

Search for all occurrences

void setSilent | ( | bool |  | ) |

Search for all occurrences

void soundCompleted | ( | int |  | ) | `[signal]`

Search for all occurrences

void deviceReady | ( | int | id | ) | `[signal]`

Search for all occurrences

void deviceError | ( | int | id,
|  | QWSSoundClient::DeviceErrors |
| ) |  | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qsoundqss_qws.h

QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient
QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient QWSSoundClient